Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# This macro is needed at the start for building on EL6


%global enable_tests 1

%global barename degenerator

Name:               nodejs-degenerator
Version:            1.0.4
Release:            alt1_4
Summary:            Turns sync functions into async generator functions

# License is in README.md
License:            MIT
URL:                https://www.npmjs.org/package/degenerator
Source0:            https://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
# RHBZ#1262123 https://github.com/TooTallNate/node-degenerator/pull/8

BuildArch:          noarch

BuildRequires:      rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:      npm(mocha)
BuildRequires:      npm(ast-types)
BuildRequires:      npm(esprima)
BuildRequires:      npm(escodegen)
%endif
Source44: import.info


%description
Sometimes you need to write sync looking code that's really async under the
hood. This module takes a String to one or more synchronous JavaScript
functions, and returns a new String that with those JS functions transpiled
into ES6 Generator Functions.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep esprima


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/degenerator
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/degenerator

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mocha --reporter spec test/test.js
%endif


%files
%doc README.md
%{nodejs_sitelib}/degenerator/

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.4-alt1_4
- new version

